<?xml version="1.0" encoding="UTF-8"?>

<ClassComponent localName="Turnstile"
	description="Данный компонент содержит в себе логику работы турникета и позволяет управлять ими"
	fileName="Turnstile.jar" className="org.mati.npc.components.ass.turnstile.Turnstile"
	version="9237" time="17.02.2009 01:04:42">

	<Group>СКУД</Group>

	<!-- INLINKS -->
	<INLink name="ReaderListenerLinkA"
		description="Вход (Входящая связь со считывателя принадлежащего стороне А)"
		interfaceName="org.mati.npc.components.interfaces.ReaderListener"
		linksNumber="1" nullable="false">
	</INLink>
	<INLink name="ReaderListenerLinkB"
		description="Выход (Входящая связь со считывателя принадлежащего стороне B)"
		interfaceName="org.mati.npc.components.interfaces.ReaderListener"
		linksNumber="1" nullable="false">
	</INLink>

	<INLink name="SENSOR_A"
		description="Входящая связь с сенсора определяющего проход со стороны A"
		interfaceName="org.mati.npc.components.interfaces.SensorListener"
		linksNumber="1" nullable="false">
	</INLink>
	<INLink name="SENSOR_B"
		description="Входящая связь с сенсора определяющего проход со стороны B"
		interfaceName="org.mati.npc.components.interfaces.SensorListener"
		linksNumber="1" nullable="false">
	</INLink>
	<INLink name="SENSOR_OPEN_A"
		description="Входящая связь с сенсора определяющего открытие со стороны A"
		interfaceName="org.mati.npc.components.interfaces.SensorListener"
		linksNumber="1" nullable="false">
	</INLink>
	<INLink name="SENSOR_OPEN_B"
		description="Входящая связь с сенсора определяющего открытие со стороны B"
		interfaceName="org.mati.npc.components.interfaces.SensorListener"
		linksNumber="1" nullable="false">
	</INLink>


	<INLink name="CAP_HANDLER" description="Входящая связь с морды, контролирующей турникет"
		interfaceName="org.mati.npc.interfaces.ass.ContourAccessPointHandler"
		linksNumber="1" nullable="true">
	</INLink>

	<!-- OUTLINKS -->
	<!-- Пока nullable true, вообще оно должно быть false -->
	<OUTLink name="OutReaderA"
		description="Исходящай связь для управления считывателем со стороны A"
		interfaceName="org.mati.npc.components.interfaces.Reader" linksNumber="1"
		nullable="false">
	</OUTLink>
	<OUTLink name="OutReaderB"
		description="Исходящай связь для управления считывателем со стороны B"
		interfaceName="org.mati.npc.components.interfaces.Reader" linksNumber="1"
		nullable="false">
	</OUTLink>

	<OUTLink name="OutEffectorA"
		description="Исходящай связь для управления эфектором, отвечающим за замок открытия прохода со стороны A"
		interfaceName="org.mati.npc.components.interfaces.Effector"
		linksNumber="1" nullable="false">
	</OUTLink>
	<OUTLink name="OutEffectorB"
		description="Исходящай связь для управления эфектором, отвечающим за замок открытия прохода со стороны B"
		interfaceName="org.mati.npc.components.interfaces.Effector"
		linksNumber="1" nullable="false">
	</OUTLink>
	<OUTLink name="OutEffectorStop"
		description="Исходящай связь для управления эфектором, отвечающим за перевод турникета в состояние остановки"
		interfaceName="org.mati.npc.components.interfaces.Effector"
		linksNumber="1" nullable="false">
	</OUTLink>

	<OUTLink name="OutAccessPoint" description="Возможность доступа"
		interfaceName="org.mati.npc.components.interfaces.SimpleContourAccessPoint"
		linksNumber="1" nullable="false">
	</OUTLink>

	<OUTLink name="OutFacesViewDataHandler"
		description="Исходящай связь для оповещения событиями о проходе(и другими) морды контролиоующей данный турникет"
		interfaceName="org.mati.npc.components.interfaces.NPCFacesViewDataHandler"
		linksNumber="1" nullable="true">
	</OUTLink>

	<OUTLink name="OutLoggerHandler" description="Связь с компонентом журналирования"
		interfaceName="org.mati.npc.components.interfaces.NPCSimpleLoggerHandler"
		linksNumber="1" nullable="true">
	</OUTLink>

	<!-- ATTRIBUTES -->
	<Attribute name="PassTime"
		description="Время которое турникет ожидает прохода после успешной авторизации"
		defaultValue="5000"
		type="java.lang.Integer" nullable="false">
	</Attribute>
	<Attribute name="AccessPointName" description="Наименование точки доступа"
		defaultValue="true"
		type="java.lang.String" nullable="false">
	</Attribute>

</ClassComponent>
